Subject: Bash's fork problem solved: slow but it runs !
From: [email-masked] (Enoch Wu)

5 Nov 1998 11:09:52 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Hi,

I am happy to be able to run B20 on my office computer !  While B19 refused
to run, now B20 runs pretty well as far as I can tell. 

There is perhaps some delay problem in getting the first Bash prompt.  It
took 50 seconds for the $ prompt to appear after I clicked on the CYGNUS icon.

Well, I wish I could show you a test case but I think you guys cannot
repeat the test on your machine anyway since the problem is likely
machine/installation dependent.

I do have something to show you, however, in the spirit of software
testing.  I ran cygcheck as recommended and here is the output with timing
informarion.  It took 7 minutes to complete cygcheck.  Here is the output
of cygcheck:

------cut
here-------------------------------------------------------------------

Tue Nov  3 14:34:15  1998

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Tue Nov 03 14:34:16 1998

Win95 Ver 4.0 build 67109814 

Path:	//C/CYGNUS/CYGWIN~1/H-I586~1/BIN
	//C/TEXMF/MIKTEX/BIN
	//C/WINDOWS
	//C/WINDOWS/COMMAND
	//C/UTIL
	//Z/PUBLIC
	//Y.
	//X.
	//W.
	//V.
	/bin

SysDir: C:\WINDOWS\SYSTEM
WinDir: C:\WINDOWS

CYGWIN = `tty'
HOME = `/home'
MAKE_MODE = `UNIX'
PWD = `/home'

Use `-r' to scan registry

a:\ fd           N/A    N/A                    
c:\ hd  FAT      N/A    N/A CP    UN           
d:\ cd           N/A    N/A                    
f:\ net OS2      N/A    N/A CP          FC     SYS
g:\ net OS2      N/A    N/A CP          FC     VOL1
h:\ net OS2      N/A    N/A CP          FC     VOL1
i:\ net OS2      N/A    N/A CP          FC     VOL2
j:\ net OS2      N/A    N/A CP          FC     VOL1
l:\ net OS2      N/A    N/A CP          FC     VOL1
m:\ net OS2      N/A    N/A CP          FC     SYS
n:\ net OS2      N/A    N/A CP          FC     VOL1
o:\ net OS2      N/A    N/A CP          FC     VOL1
q:\ net OS2      N/A    N/A CP          FC     VOL2
r:\ net OS2      N/A    N/A CP          FC     VOL2
v:\ net OS2      N/A    N/A CP          FC     VOL1
w:\ net OS2      N/A    N/A CP          FC     VOL1
x:\ net OS2      N/A    N/A CP          FC     VOL1
y:\ net OS2      N/A    N/A CP          FC     VOL1
z:\ net OS2      N/A    N/A CP          FC     SYS

C:\root\b20  /         native  text!=binary
\\.\a:       /dev/fd0  native  text!=binary
\\.\b:       /dev/fd1  native  text!=binary
\\.\tape0:   /dev/st0  native  text!=binary
\\.\tape1:   /dev/st1  native  text!=binary

Found: C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\bash.exe
Found: C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cat.exe
Found: C:\UTIL\cat.exe
Not Found: cpp
Found: C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\find.exe
Found: C:\WINDOWS\COMMAND\find.exe
Found: C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\gcc.exe
Found: C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\gdb.exe
Found: C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\ld.exe
Found: C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\ls.exe
Found: C:\UTIL\ls.exe
Found: C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\make.exe
Found: C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\sh.exe
Found: C:\root\b20\bin\sh.exe

  371k 1998/11/02 C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cygtcl80.dll
    5k 1998/11/02 C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cygtclpip80.dll
   10k 1998/11/02 C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cygtclreg80.dll
  600k 1998/11/02 C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cygtk80.dll
  429k 1998/11/02 C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cygwin1.dll
Use -h to see help about each section
Tue Nov  3 14:41:51  1998

---------cut here
please--------------------------------------------------------

Thanks for reading.

Enoch Wu
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".